Index: irmp.c
===================================================================
--- irmp.c	(Revision 191)
+++ irmp.c	(Arbeitskopie)
@@ -5415,79 +5446,79 @@ printf ("fm: %d %d\n", irmp_pulse_time *
 #ifdef ANALYZE
                                 ANALYZE_PRINTF ("error 7: parity check failed\n");
 #endif // ANALYZE
-                                irmp_ir_detected = FALSE;
+                                ir->ir_detected = FALSE;
                             }
                         }
 #endif // IRMP_SUPPORT_MITSU_HEAVY_PROTOCOL
 
 #if IRMP_SUPPORT_RC6_PROTOCOL == 1
-                        if (irmp_param.protocol == IRMP_RC6_PROTOCOL && irmp_param.complete_len == RC6_COMPLETE_DATA_LEN_LONG)     // RC6 mode = 6?
+                        if (ir->param.protocol == IRMP_RC6_PROTOCOL && ir->param.complete_len == RC6_COMPLETE_DATA_LEN_LONG)     // RC6 mode = 6?
                         {
-                            irmp_protocol = IRMP_RC6A_PROTOCOL;
+                            ir->protocol = IRMP_RC6A_PROTOCOL;
                         }
                         else
 #endif // IRMP_SUPPORT_RC6_PROTOCOL == 1
                         {
-                            irmp_protocol = irmp_param.protocol;
+                            ir->protocol = ir->param.protocol;
                         }
 
 #if IRMP_SUPPORT_FDC_PROTOCOL == 1
-                        if (irmp_param.protocol == IRMP_FDC_PROTOCOL)
+                        if (ir->param.protocol == IRMP_FDC_PROTOCOL)
                         {
-                            if (irmp_tmp_command & 0x000F)                          // released key?
+                            if (ir->tmp_command & 0x000F)                          // released key?
                             {
-                                irmp_tmp_command = (irmp_tmp_command >> 4) | 0x80;  // yes, set bit 7
+                                ir->tmp_command = (ir->tmp_command >> 4) | 0x80;  // yes, set bit 7
                             }
                             else
                             {
-                                irmp_tmp_command >>= 4;                             // no, it's a pressed key
+                                ir->tmp_command >>= 4;                             // no, it's a pressed key
                             }
-                            irmp_tmp_command |= (irmp_tmp_address << 2) & 0x0F00;   // 000000CCCCAAAAAA -> 0000CCCC00000000
-                            irmp_tmp_address &= 0x003F;
+                            ir->tmp_command |= (ir->tmp_address << 2) & 0x0F00;   // 000000CCCCAAAAAA -> 0000CCCC00000000
+                            ir->tmp_address &= 0x003F;
                         }
 #endif
 
-                        irmp_address = irmp_tmp_address;                            // store address
+                        ir->address = ir->tmp_address;                            // store address
 #if IRMP_SUPPORT_NEC_PROTOCOL == 1
-                        if (irmp_param.protocol == IRMP_NEC_PROTOCOL)
+                        if (ir->param.protocol == IRMP_NEC_PROTOCOL)
                         {
-                            last_irmp_address = irmp_tmp_address;                   // store as last address, too
+                            last_irmp_address = ir->tmp_address;                   // store as last address, too
                         }
 #endif
 
 #if IRMP_SUPPORT_RC5_PROTOCOL == 1
-                        if (irmp_param.protocol == IRMP_RC5_PROTOCOL)
+                        if (ir->param.protocol == IRMP_RC5_PROTOCOL)
                         {
-                            irmp_tmp_command |= rc5_cmd_bit6;                       // store bit 6
+                            ir->tmp_command |= rc5_cmd_bit6;                       // store bit 6
                         }
 #endif
 #if IRMP_SUPPORT_S100_PROTOCOL == 1
-                        if (irmp_param.protocol == IRMP_S100_PROTOCOL)
+                        if (ir->param.protocol == IRMP_S100_PROTOCOL)
                         {
-                            irmp_tmp_command |= rc5_cmd_bit6;                       // store bit 6
+                            ir->tmp_command |= rc5_cmd_bit6;                       // store bit 6
                         }
 #endif
-                        irmp_command = irmp_tmp_command;                            // store command
+                        ir->command = ir->tmp_command;                            // store command
 
 #if IRMP_SUPPORT_SAMSUNG_PROTOCOL == 1
-                        irmp_id = irmp_tmp_id;
+                        ir->id = ir->tmp_id;
 #endif
                     }
                 }
 
-                if (irmp_ir_detected)
+                if (ir->ir_detected)
                 {
-                    if (last_irmp_command == irmp_tmp_command &&
-                        last_irmp_address == irmp_tmp_address &&
-                        key_repetition_len < IRMP_KEY_REPETITION_LEN)
+                    if (last_irmp_command == ir->tmp_command &&
+                        last_irmp_address == ir->tmp_address &&
+                        ir->isr.key_repetition_len < IRMP_KEY_REPETITION_LEN)
                     {
-                        irmp_flags |= IRMP_FLAG_REPETITION;
+                        ir->flags |= IRMP_FLAG_REPETITION;
                     }
 
-                    last_irmp_address = irmp_tmp_address;                           // store as last address, too
-                    last_irmp_command = irmp_tmp_command;                           // store as last command, too
+                    last_irmp_address = ir->tmp_address;                           // store as last address, too
+                    last_irmp_command = ir->tmp_command;                           // store as last command, too
 
-                    key_repetition_len = 0;
+                    ir->isr.key_repetition_len = 0;
                 }
                 else
                 {
@@ -5496,15 +5527,15 @@ printf ("fm: %d %d\n", irmp_pulse_time *
 #endif // ANALYZE
                 }
 
-                irmp_start_bit_detected = 0;                                        // and wait for next start bit
-                irmp_tmp_command        = 0;
-                irmp_pulse_time         = 0;
-                irmp_pause_time         = 0;
+                ir->isr.start_bit_detected = 0;                                        // and wait for next start bit
+                ir->tmp_command        = 0;
+                ir->isr.pulse_time         = 0;
+                ir->isr.pause_time         = 0;
 
 #if IRMP_SUPPORT_JVC_PROTOCOL == 1
-                if (irmp_protocol == IRMP_JVC_PROTOCOL)                             // the stop bit of JVC frame is also start bit of next frame
+                if (ir->protocol == IRMP_JVC_PROTOCOL)                             // the stop bit of JVC frame is also start bit of next frame
                 {                                                                   // set pulse time here!
-                    irmp_pulse_time = ((uint_fast8_t)(F_INTERRUPTS * JVC_START_BIT_PULSE_TIME));
+                    ir->isr.pulse_time = ((uint_fast8_t)(F_INTERRUPTS * JVC_START_BIT_PULSE_TIME));
                 }
 #endif // IRMP_SUPPORT_JVC_PROTOCOL == 1
             }
@@ -5517,14 +5548,14 @@ printf ("fm: %d %d\n", irmp_pulse_time *
 #endif
 
 #if (defined(_CHIBIOS_RT_) || defined(_CHIBIOS_NIL_)) && IRMP_USE_EVENT == 1
-    if (IRMP_EVENT_THREAD_PTR != NULL && irmp_ir_detected)
+    if (IRMP_EVENT_THREAD_PTR != NULL && ir->ir_detected)
         chEvtSignalI(IRMP_EVENT_THREAD_PTR,IRMP_EVENT_BIT);
 #endif
 
 #if IRMP_USE_IDLE_CALL == 1
     // check if there is no ongoing transmission or repetition
-    if (!irmp_start_bit_detected && !irmp_pulse_time
-        && key_repetition_len > IRMP_KEY_REPETITION_LEN)
+    if (!ir->isr.start_bit_detected && !ir->isr.pulse_time
+        && ir->isr.key_repetition_len > IRMP_KEY_REPETITION_LEN)
     {
         // no ongoing transmission
         // enough time passed since last decoded signal that a repetition won't affect our output
@@ -5533,7 +5564,7 @@ printf ("fm: %d %d\n", irmp_pulse_time *
     }
 #endif // IRMP_USE_IDLE_CALL
 
-    return (irmp_ir_detected);
+    return (ir->ir_detected);
 }
 
 #ifdef ANALYZE
